| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLBigInteger Class Reference

`#include <XMLBigInteger.hpp>`

List of all members.

## Public Methods

| XMLBigInteger (const XMLCh *const strValue)
| Constructs a newly allocated `XMLBigInteger` object that represents the value represented by the string. More...
| ~XMLBigInteger ()
| XMLBigInteger (const XMLBigInteger &toCopy)
void | multiply (const unsigned int byteToShift)
void | divide (const unsigned int byteToShift)
int | getTotalDigit ()const
XMLCh* | toString ()const
| Return a copy of the fMagnitue. More...
bool | operator== (const XMLBigInteger &toCompare)const
| Compares this object to the specified object. More...
int | getSign ()const
| Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).
int | intValue ()const

## Static Public Methods

void | parseBigInteger (const XMLCh *const toConvert,XMLCh *const retBuffer,int &signValue)
int | compareValues (const XMLBigInteger *const lValue,const XMLBigInteger *const rValue)

## Constructor & Destructor Documentation

XMLBigInteger::XMLBigInteger ( | const XMLCh *const strValue )

Constructs a newly allocated `XMLBigInteger` object that represents the value represented by the string.

The string is converted to an int value as if by the `valueOf` method.

Parameters:

  strValue | the `String` to be converted to an `XMLBigInteger`.

Exceptions:

  NumberFormatException | if the `String` does not contain a parsable XMLBigInteger.

XMLBigInteger::~XMLBigInteger ( | )

XMLBigInteger::XMLBigInteger ( | const XMLBigInteger & toCopy )

## Member Function Documentation

int XMLBigInteger::compareValues ( | const XMLBigInteger *const lValue,
| const XMLBigInteger *const rValue )`[static]`

void XMLBigInteger::divide ( | const unsigned int byteToShift )

int XMLBigInteger::getSign ( | ) const

| Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).

int XMLBigInteger::getTotalDigit ( | ) const

int XMLBigInteger::intValue ( | ) const

void XMLBigInteger::multiply ( | const unsigned int byteToShift )

bool XMLBigInteger::operator== ( | const XMLBigInteger & toCompare ) const

Compares this object to the specified object.

The result is `true` if and only if the argument is not `null` and is an `XMLBigInteger` object that contains the same `int` value as this object.

Parameters:

  toCompare | the object to compare with.

Returns:
  `true` if the objects are the same; `false` otherwise.

void XMLBigInteger::parseBigInteger ( | const XMLCh *const toConvert,
| XMLCh *const retBuffer,
| int & signValue )`[static]`

XMLCh * XMLBigInteger::toString ( | ) const

| Return a copy of the fMagnitue. A leading sign is ALWAYS in place and the caller of this method is responsible for the de-allocation of the memory.

The documentation for this class was generated from the following file:

- XMLBigInteger.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.